var s = Object.defineProperty;
var r = (n, e) => s(n, "name", { value: e, configurable: !0 });
function u(n, e) {
  const { source: t } = n, o = t[t.length - 1] != "$";
  return o ? new RegExp(`(?:${t})${o ? "$" : ""}`, n.flags ?? (n.ignoreCase ? "i" : "")) : n;
}
r(u, "ensureAnchor");
export {
  u as ensureAnchor
};
